////////////////////
// Generic styling for comment
.comment {
  @entity();

  @media (min-width: @grid-float-breakpoint) {
    &__links > * {
      .border(0, 0, 1, 0, @color-divider);
    }
  }

  &__links {
    & > * {
      background-color: @color-entity-links-bg;

      a {
        color: @color-entity-links-link-listing;

        &:hover,
        &:focus,
        &:active {
          color: @color-entity-links-link-listing-hover;
        }
      }
    }
  }

  .accepted-answer & {
    margin-top: @gap-entity;
  }

  @media (max-width: @grid-float-breakpoint) {
    .comment__links {
      & > * {
        background-color: @color-entity-links-bg-hover;
      }
    }
  }

  @media (min-width: @grid-float-breakpoint) {
    &:hover,
    &:active,
    &:focus {
      .comment__links {
        & > * {
          background-color: @color-entity-links-bg-hover;
        }

        a {
          color: @color-entity-links-link;
        }
      }
    }
  }

  &.is-accepted-answer {
    @selector: ~'.comment';

    .border(1, 1, 1, 1, @color-notification);
    margin-top: @gap-entity;
    padding: @padding;

    @media (min-width: @grid-float-breakpoint) {
      padding: @padding @padding 0 @padding;
    }

    @{selector}__links {
      margin-left: -@padding;
      margin-right: -@padding;

      > * {
        @media (max-width: @grid-float-breakpoint) {
          .border(0, 1, 0, 1, @color-notification);
          margin-bottom: unset;
        }
      }

      > *:last-child,
      > *:last-child {
        @media (min-width: @grid-float-breakpoint) {
          .border(0, 1, 1, 1, @color-notification);
        }
      }
    }
  }

  &__meta {
    .comment__voting {
      display: flex;

      .flag-wrapper {
        margin-right: @gap-inline-v;

        i {
          font-size: 1.5rem;
        }
      }
    }
  }
}
